# -*- coding: utf-8 -*-

# Authors: Diego Sarmentero <diego.sarmentero@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Utils Functions Platform specific."""


import sys

# pylint: disable=C0103
if sys.platform == 'win32':
    from ubuntuone_installer.gui.qt.utils import windows
    uninstall_application = windows.uninstall_application
    start_control_panel = windows.start_control_panel
    add_syncdaemon_to_autostart = windows.add_syncdaemon_to_autostart
    default_folders = windows.default_folders
    is_old_beta_installed = windows.is_old_beta_installed
    are_updates_present = windows.are_updates_present
    perform_update = windows.perform_update
    uninstall_old_beta = windows.uninstall_old_beta
else:
    from ubuntuone_installer.gui.qt.utils import linux
    uninstall_application = linux.uninstall_application
    start_control_panel = linux.start_control_panel
    add_syncdaemon_to_autostart = linux.add_syncdaemon_to_autostart
    default_folders = linux.default_folders
    is_old_beta_installed = lambda: False
    are_updates_present = lambda *args, **kwargs: False
    perform_update = lambda *args, **kwargs: None
    uninstall_old_beta = lambda *args, **kwargs: None
