# -*- coding: utf-8 -*-

# Authors: Diego Sarmentero <diego.sarmentero@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Utils Functions Linux specific."""

import os
import subprocess


def uninstall_application():
    """Uninstall Ubuntu One."""
    pass


def start_control_panel():
    """Start the control panel."""
    subprocess.Popen(["ubuntuone-control-panel-qt"])


def remove_syncdaemon_from_autostart():
    """Remove syncdaemon from the session's autostart."""


def add_syncdaemon_to_autostart():
    """Add syncdaemon to the session's autostart."""


def default_folders():
    """Return a list of the folders to add by default."""
    # FIXME: this should be taken from ~/.config/user-dirs.dirs
    # but pyxdg doesn't seem to provide any access to that data.
    docs = os.path.expanduser("~/Documents")
    music = os.path.expanduser("~/Music")
    pictures = os.path.expanduser("~/Pictures")
    return [docs, music, pictures]
